# Delete Accounts Storage Credential

Launch stage: GA

`DELETE /api/2.0/accounts/{account_id}/metastores/{metastore_id}/storage-credentials/{name_arg}`

Deletes a storage credential from the metastore. The caller must be an owner of the storage credential.

API scopes: unity-catalog

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html)
- `metastore_id` (string, optional)
  Unity Catalog metastore ID
- `name_arg` (string, optional)
  Name of the storage credential.

## Query parameters

- `force` (boolean, optional)
  Force deletion even if the Storage Credential is not empty. Default is false.

## Response

```json
{}
```

